ml.dmlc.xgboost4j.java

## Enum Rabit.OpType

- java.lang.Object
- - java.lang.Enum<Rabit.OpType>
  - - ml.dmlc.xgboost4j.java.Rabit.OpType

- All Implemented Interfaces:
    Serializable, Comparable<Rabit.OpType>
  Enclosing class:
    Rabit

      public static enum Rabit.OpType
      extends Enum<Rabit.OpType>
      implements Serializable

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BITWISE_OR`
    `MAX`
    `MIN`
    `SUM`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getOperand()`
    `static Rabit.OpType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Rabit.OpType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MAX

          public static final Rabit.OpType MAX

    - #### MIN

          public static final Rabit.OpType MIN

    - #### SUM

          public static final Rabit.OpType SUM

    - #### BITWISE_OR

          public static final Rabit.OpType BITWISE_OR

  - ### Method Detail

    - #### values

          public static Rabit.OpType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Rabit.OpType c : Rabit.OpType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Rabit.OpType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getOperand

          public int getOperand()

Copyright © 2020. All rights reserved.